Package net.postgis.jdbc

# Class DriverWrapperLW

java.lang.Object
org.postgresql.Driver
net.postgis.jdbc.DriverWrapper
net.postgis.jdbc.DriverWrapperLW

All Implemented Interfaces:
  `Driver`

public class DriverWrapperLW extends DriverWrapper
DriverWrapperLW Wraps the PostGreSQL Driver to transparently add the PostGIS Object Classes. This avoids the need of explicit addDataType() calls from the driver users side. This DriverWrapper subclass always uses hex encoded EWKB as canonical text representation, and thus only works against PostGIS 1.x servers and newer. For usage notes, see DriverWrapper class, but use "jdbc:postgresql_lwgis:" as JDBC url prefix and net.postgis.jdbc.DriverWrapperLW as driver class.

Author:
  Markus Schaber <markus.schaber@logix-tt.com>
See Also:
  - `DriverWrapper`

## Nested Class Summary

## Nested classes/interfaces inherited from class net.postgis.jdbc.DriverWrapper

`DriverWrapper.TypesAdder, DriverWrapper.TypesAdder72, DriverWrapper.TypesAdder74, DriverWrapper.TypesAdder80`

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`POSTGIS_LWPROTOCOL`
`static final String`
`REVISIONLW`

### Fields inherited from class net.postgis.jdbc.DriverWrapper

`logger, POSTGIS_PROTOCOL, POSTGRES_PROTOCOL, REVISION, ta72, ta74, ta80, typesAdder`

## Constructor Summary

Constructors
Constructor
Description
`DriverWrapperLW()`
Default constructor.

## Method Summary

Modifier and Type
Method
Description
`protected String`
`getProtoString()`
`static String`
`getVersion()`
Returns our own CVS version plus postgres Version
`protected boolean`
`useLW(Connection result)`
Do we have HexWKB as well known text representation - to be overridden by subclasses.

### Methods inherited from class net.postgis.jdbc.DriverWrapper

`acceptsURL, addGISTypes, addGISTypes72, addGISTypes80, connect, getParentLogger, getTypesAdder, mangleURL`

### Methods inherited from class org.postgresql.Driver

`deregister, getMajorVersion, getMinorVersion, getPropertyInfo, getSharedTimer, isRegistered, jdbcCompliant, notImplemented, parseURL, register`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### POSTGIS_LWPROTOCOL

public static final String POSTGIS_LWPROTOCOL

See Also:
  - Constant Field Values

### REVISIONLW

public static final String REVISIONLW

See Also:
  - Constant Field Values

## Constructor Details

### DriverWrapperLW

public DriverWrapperLW() throws SQLException
Default constructor.

Throws:
  `SQLException` - when a SQLException occurs

## Method Details

### getProtoString

protected String getProtoString()

Overrides:
  `getProtoString` in class `DriverWrapper`

### useLW

protected boolean useLW(Connection result)
Description copied from class: `DriverWrapper`
Do we have HexWKB as well known text representation - to be overridden by subclasses.

Overrides:
  `useLW` in class `DriverWrapper`
Parameters:
  `result` - Connection to check
Returns:
  true if using EWKB, false otherwise

### getVersion

public static String getVersion()
Returns our own CVS version plus postgres Version

Returns:
  String value reprenstation of the version